<?php get_header(); ?>

	<div id="primary" class="content-area clear">

		<main id="main" class="site-main clear">

		<?php if ( have_posts() ) : ?>

			<div id="recent-content">	

				<header class="entry-header">
					<h1 class="page-title"><?php echo get_theme_mod('featured-coupons-heading', 'Exclusive Coupon Codes'); ?></h1>
				</header><!-- .entry-header -->			

				<div class="entry-summary">
					<?php echo get_theme_mod('coupons-page-desc', 'You may enter description for the coupon page here.'); ?>
				</div><!-- .entry-summary -->

				<?php
				$cats = get_terms( 'coupon_category' );
				if ( $cats ) :

					// for taxonomy page
					$current = get_queried_object();
					$current_term = '';
					if ( isset( $current->term_id ) )
						$current_term = $current->term_id;
				?>
					<nav class="coupon-nav clear">
						<ul class="clear">
							<li class="section-text"><?php _e( 'Browse:', 'starter' ); ?></li>
							<li <?php if ( ! $current_term ) echo ' class="' . esc_attr( 'current' ) . '"'; ?>><a href="<?php echo esc_url( get_post_type_archive_link( 'coupon' ) ); ?>"><?php _e( 'All', 'starter' ); ?></a></li>

							<?php foreach ( $cats as $cat ) : ?>
								<li<?php if ( $current_term == $cat->term_id ) echo ' class="' . esc_attr( 'current' ) . '"'; ?>><a href="<?php echo esc_url( get_term_link( $cat->term_id ) ); ?>"><?php echo wp_kses_post( $cat->name ); ?></a></li>
							<?php endforeach; ?>
						</ul>
					</nav><!-- .coupon-nav -->
				<?php endif; ?>

				<div class="coupon-loop">

					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php $class = ( $wp_query->current_post + 1 === $wp_query->post_count ) ? 'clear last' : 'clear'; ?>

						<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>

							<?php get_template_part( 'template-parts/content', 'coupon' ); ?>

						</article><!-- .hentry -->

					<?php endwhile; ?>

				</div><!-- .coupon-loop -->

			</div><!-- #recent-content -->

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- .site-main -->

		<?php get_template_part( 'template-parts/pagination', '' ); ?>

	</div><!-- #primary -->

	<?php get_sidebar(); ?>

<?php get_footer(); ?>
