<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package starter
 */

?>

	</div><!-- #content .site-content -->
	
	<footer id="colophon" class="site-footer">

		<?php if ( ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) && get_theme_mod('footer-widgets-on', true) ) { ?>

			<div class="footer-columns clear">

				<div class="container clear">

					<div class="footer-column footer-column-1">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>

					<div class="footer-column footer-column-2">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>

					<div class="footer-column footer-column-3">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>

					<div class="footer-column footer-column-4">
						<?php dynamic_sidebar( 'footer-4' ); ?>
					</div>												

				</div><!-- .container -->

			</div><!-- .footer-columns -->

		<?php } ?>

		<?php if ( ( !is_active_sidebar( 'footer-1' ) && !is_active_sidebar( 'footer-2' ) && !is_active_sidebar( 'footer-3' ) &&  !is_active_sidebar( 'footer-4' ) ) && get_theme_mod('footer-widgets-on', true) ) { ?>
			<div class="footer-columns clear">

				<div class="container clear">

					<div class="widget setup-notice">
						<p><?php echo __('<span class="step">Step 2.</span> Add footer widgets', 'starter'); ?></p>
						<p><?php echo __('Place widgets to the <strong>Footer Column 1/2/3/4</strong>', 'starter'); ?> (<a href="<?php echo get_template_directory_uri(); ?>/assets/img/how-to-footer-widgets.png" target="_blank">how to</a>)</p>
						<p>
							<a href="<?php echo home_url(); ?>/wp-admin/widgets.php"><?php echo __('Okay, I\'m doing now &raquo;', 'starter'); ?></a>
						</p>
					</div><!-- .widget .setup-notice -->

				</div><!-- .container -->

			</div><!-- .footer-columns -->			

		<?php } ?>

		<div class="clear"></div>

		<div id="site-bottom" class="container clear">

			<div class="site-info">

				<?php if(get_theme_mod('footer-credit')) { 
					
					echo get_theme_mod('footer-credit');
					
					} else { 
						$theme_uri = 'http://www.happythemes.com/wordpress-themes/';
						$author_uri = 'http://www.20script.ir/';
				?>

				&copy; <?php echo date("o"); ?> <a href="<?php echo home_url(); ?>"><?php echo get_bloginfo('name'); ?></a> - <?php echo __('Theme by', 'starter'); ?> <a href="<?php echo $author_uri; ?>" target="_blank">20Script</a>

			<?php } ?>

			</div><!-- .site-info -->

			<?php 
				if ( has_nav_menu( 'footer' ) ) {
					wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-menu', 'menu_class' => 'footer-nav' ) );
				} else {
			?>

				<ul class="footer-nav">
					<li><a href="<?php echo home_url(); ?>/wp-admin/nav-menus.php"><?php echo __('<span class="step">Step 3.</span> Add menu for theme location: Footer Menu', 'starter'); ?></a></li>
				</ul><!-- .sf-menu -->

			<?php } ?>				

		</div>
		<!-- #site-bottom -->
							
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php if ( get_theme_mod('back-top-on', true) ) : ?>

	<div id="back-top">
		<a href="#top" title="<?php echo __('Back to top', 'starter'); ?>"><span class="genericon genericon-collapse"></span></a>
	</div>

<?php endif; ?>


<?php if ( get_theme_mod('sticky-nav-on', true) ) : ?>

<script type="text/javascript">

	(function($){ //Sticky Header ~ Search ~ Menu

	    $(document).ready(function(){

	        "use strict"; 
	        

			$(window).scroll(function() {
			    if ($(this).scrollTop() > 0) {
			        $('.site-header').addClass('stickytop');
			        $('.header-space').css('display', 'block'); 
			    }
			    else {
			        $('.site-header').removeClass('stickytop');
			        $('.header-space').css('display', 'none'); 
			    }
			});

			$('.search-icon > .genericon-search').click(function(){
			    $('.header-search').css('display', 'block');
			    $('.search-icon > .genericon-search').toggleClass('active');
			    $('.search-icon > .genericon-close').toggleClass('active'); 
			});

			$('.search-icon > .genericon-close').click(function(){
			    $('.header-search').css('display', 'none');
			    $('.search-icon > .genericon-search').toggleClass('active');
			    $('.search-icon > .genericon-close').toggleClass('active');
			});  


	    });

	})(jQuery);

</script>

<?php endif; ?>

<?php if ( htmlspecialchars(_GET("showcode")) == 'true' ) : ?>

	<script type="text/javascript">

	(function($){ //create closure so we can safely use $ as alias for jQuery

	    $(document).ready(function(){

	        "use strict";

			$('.coupon-form').modal({
				fadeDuration: 100
			});

		});

	})(jQuery);
	
	</script>

<?php endif; ?>

<?php wp_footer(); ?>

</body>
</html>
