<?php get_header(); ?>

	<div id="primary" class="content-area">

		<?php while ( have_posts() ) : the_post(); ?>

			<div class="section-header">
				<h3>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php _e( 'Home', 'starter' ); ?></a>
					&raquo; <a href="<?php echo esc_url( get_post_type_archive_link( 'coupon' ) ); ?>"><?php _e( 'Coupons', 'starter' ); ?></a>
					<?php $cat = get_the_terms( get_the_ID(), 'coupon_category' ); ?>
					<?php if ( $cat ) : ?>
						&raquo; <a href="<?php echo esc_url( get_term_link( $cat[0]->term_id ) ); ?>"><?php echo esc_attr( $cat[0]->name ); ?></a>
					<?php endif; ?>
				</h3>
			</div><!-- .section-header -->

			<div id="coupon-content">
				<?php get_template_part( 'template-parts/content', 'single-coupon' ); ?>
			</div><!-- #coupon-content -->

			<?php

			// Get the taxonomy terms of the current page for the specified taxonomy.
			$terms = wp_get_post_terms( get_the_ID(), 'coupon_category', array( 'fields' => 'ids' ) );

			// Bail if the term empty.
			if ( empty( $terms ) ) {
				return;
			}

			// Posts query arguments.
			$query = array(
				'post__not_in' => array( get_the_ID() ),
				'tax_query'    => array(
					array(
						'taxonomy' => 'coupon_category',
						'field'    => 'id',
						'terms'    => $terms,
						'operator' => 'IN'
					)
				),
				'posts_per_page' => 3,
				'post_type'      => 'coupon',
			);

			// Allow dev to filter the query.
			$args = apply_filters( 'starter_related_deals_args', $query );

			// The post query
			$related = new WP_Query( $args );

			if ( $related->have_posts() ) : ?>

				<div class="related-coupons">

					<div class="section-header">
						<h3><?php esc_html_e('Other Amazing Coupons', 'starter'); ?></h3>
					</div><!-- .section-header -->

					<div class="coupon-loop clear">
						<?php while ( $related->have_posts() ) : $related->the_post(); ?>

							<?php $class = ( $related->current_post + 1 === $related->post_count ) ? 'clear last' : 'clear'; ?>

							<article id="coupon-<?php the_ID(); ?>" <?php post_class( $class ); ?>>

								<?php if ( has_post_thumbnail() ) : ?>
									<a class="thumbnail-link" href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
								<?php endif; ?>

								<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

								<div class="entry-summary">
									<?php 
										$brief_desc = get_post_meta( get_the_ID(), 'happycoupons_brief_desc', true );
										echo $brief_desc;
									?>
									<span class="read-more"> <a href="<?php the_permalink(); ?>"><?php esc_html_e('View this coupon', 'starter'); ?> &raquo;</a></span>
								</div>		

							</article><!-- .hentry -->
						<?php endwhile; ?>
					</div><!-- .coupon-loop -->

				</div><!-- .realted-coupons -->

			<?php endif;
			// Restore original Post Data.
			wp_reset_postdata();
			?>
			
		<?php endwhile; // end of the loop. ?>

	</div><!-- #primary -->

	<?php get_sidebar(); ?>

<?php get_footer(); ?>
