<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
		$code = get_post_meta( get_the_ID(), 'happycoupons_coupon_code', true );
		$link = get_post_meta( get_the_ID(), 'happycoupons_custom_url', true );
	?>

	<?php if ( has_post_thumbnail() ) : ?>
		<a class="thumbnail-link" href="<?php echo esc_url( $link ); ?>" target="_blank"><?php the_post_thumbnail(); ?></a>
	<?php endif; ?>

	<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark" target="_blank">', esc_url( $link ) ), '</a></h1>' ); ?>

	<div class="entry-summary">
		<?php 
			$brief_desc = get_post_meta( get_the_ID(), 'happycoupons_brief_desc', true );
			$full_desc = get_post_meta( get_the_ID(), 'happycoupons_full_desc', true );
			
			if($full_desc) {
				echo $full_desc;
			} else {
				echo $brief_desc;
			}
		?>	
	</div>	

	<div class="clear"></div>

	<?php

	if ( $code ) :
	?>
		<?php if ( get_theme_mod('coupon-style', 'choice-1') == 'choice-2' ) : ?>

		<div class="coupon-area clear">
			<strong><?php esc_html_e('Coupon Code', 'starter'); ?></strong>
			<form action="<?php echo esc_url( $link ); ?>" method="post" target="_blank">
				<button data-clipboard-text="<?php echo esc_attr( $code ); ?>" class="coupon-code" type="submit"><?php echo esc_attr( $code ); ?></button>
			</form>
			<span><?php esc_html_e('Click to Copy & Open Site', 'starter'); ?></span>
			<div class="clear"></div>
		</div><!-- .coupon-area -->

		<?php else : ?>

		<div class="coupon-area clear">
			<strong><?php _e( 'Coupon Code', 'starter' ); ?></strong> <a class="show-code btn" href="<?php the_permalink(); ?>?showcode=true" onclick="location.href = '<?php echo esc_url( $link ); ?>'" target="_blank"><?php esc_html_e('Show Coupon Code', 'starter'); ?></a>
		</div>

		<!-- Modal HTML embedded directly into document -->
		<div class="coupon-form">

			<h3><?php esc_html_e('Use the coupon code below', 'starter'); ?></h3>

			<div class="code-box">
				<span class="code"><?php echo esc_attr( $code ); ?></span>
				<button data-clipboard-text="<?php echo esc_attr( $code ); ?>" class="copy-code click-change" type="submit"><?php esc_html_e('Copy', 'starter'); ?></button>
			</div><!-- .code-box -->

			<p class="go-link">
				<a href="<?php echo esc_url( $link ); ?>" target="_blank"><?php esc_html_e('Shop now', 'starter'); ?></a> <?php esc_html_e('and paste the code at checkout', 'starter'); ?>
			</p><!-- .go-link -->

			<div class="code-post">

				<h2 class="entry-title"><a href="<?php echo esc_url( $link ); ?>" target="_blank"><?php the_title(); ?></a></h2>
				
				<div class="entry-summary">
					<p>
					<?php
						echo $brief_desc;
					?>
					</p>
				</div><!-- .entry-summary -->
			
			</div><!-- .code-post -->

			<div class="popup-footer clear">
				
				<div class="share-icons">
				
					<?php get_template_part('template-parts/entry', 'share'); ?>
		
				</div><!-- .share-icons -->
				
				<div class="more-coupons-link">
					<?php $cat = get_the_terms( get_the_ID(), 'coupon_category' ); ?>
					<?php if ( $cat ) : ?>
						<a href="<?php echo esc_url( get_term_link( $cat[0]->term_id ) ); ?>"><?php echo 'View all' . ' ' . esc_attr( $cat[0]->name ) . ' ' . 'coupons &rarr;'; ?></a>
					<?php endif; ?>
				</div><!-- .more-coupons-link -->
			
			</div><!-- .popup-footer -->		    	
				
		</div><!-- .coupon-form -->

		<?php endif; // End coupon style detection ?>

	<?php endif; // End if has code ?>

	<?php if ( get_the_content() ) : ?>

	<div class="entry-content">

		<?php the_content(); ?>
		
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'starter' ),
				'after'  => '</div>',
			) );
		?>

		<?php
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'starter' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
	</div><!-- .entry-content -->

<?php endif; ?>

</article><!-- #post-<?php the_ID(); ?> -->

